"use strict";

var IdentifiedElement = require('./IdentifiedElement');

function Comment(javaObject) {
  this.setIdentifiedElement(new IdentifiedElement({
    id : javaObject.elementId,
    type : javaObject.type,
    modelId : javaObject.modelId,
    icon : javaObject.icon,
  }));
  this.setId(javaObject.id);
  this.setRemoved(javaObject.removed);
  this.setPinned(javaObject.pinned);

  if (javaObject.title !== undefined) {
    this.setCoordinates(javaObject.coord);
    this.setTitle(javaObject.title);
    this.setContent(javaObject.content);
  }
  this.setAuthor(javaObject.author);
  this.setEmail(javaObject.email);
}

Comment.prototype.setIdentifiedElement = function(ie) {
  this._ie = ie;
};

Comment.prototype.getIdentifiedElement = function() {
  return this._ie;
};

Comment.prototype.setPinned = function(pinned) {
  this._pinned = (pinned === true);
};

Comment.prototype.setCoordinates = function(coordinates) {
  this._coordinates = new google.maps.Point(coordinates.x, coordinates.y);
};
Comment.prototype.setRemoved = function(removed) {
  this._removed = (removed === true);
};

Comment.prototype.setId = function(id) {
  this._id = id;
};
Comment.prototype.setContent = function(content) {
  this._content = content;
};

Comment.prototype.isPinned = function() {
  return this._pinned;
};
Comment.prototype.getCoordinates = function() {
  return this._coordinates;
};
Comment.prototype.isRemoved = function() {
  return this._removed;
};
Comment.prototype.getId = function() {
  return this._id;
};
Comment.prototype.setTitle = function(title) {
  this._title = title;
};
Comment.prototype.getTitle = function() {
  return this._title;
};
Comment.prototype.getContent = function() {
  return this._content;
};

Comment.prototype.setAuthor = function(author) {
  this._author = author;
};
Comment.prototype.getAuthor = function() {
  return this._author;
};
Comment.prototype.setEmail = function(email) {
  this._email = email;
};
Comment.prototype.getEmail = function() {
  return this._email;
};

module.exports = Comment;
